/* definitions to speed the processing of built-in functions */

enum built_in {
    BI_UNUSED = 0,

    BI_BOSS,
    BI_BUFF,
    BI_BUFF_INFO,
    BI_BUFF_TIME,
    BI_CASTABLE,
    BI_COMBOPOINTS,
    BI_CREATURETYPE,
    BI_DEBUFF_BY_ANY,
    BI_DEBUFF_BY_ME,
    BI_DEBUFF_INFO,
    BI_FLAGGEDPVP,
    BI_FLIGHTTIME,
    BI_GCD,
    BI_HASGLYPH,
    BI_HASPET,
    BI_PETEXISTS,
    BI_INRANGE,
    BI_KNOWSSPELL,
    BI_LASTCAST,
    BI_MOUNTED,
    BI_MXBUFF,
    BI_MXBUFF_BY_ME,
    BI_MXDEBUFF_BY_ME,
    BI_MXNEED,
    BI_PETBUFF,
    BI_PETHAPPINESS,
    BI_PETHEALTH,
    BI_PLAYERHEALTH,
    BI_POWER,
    BI_RANGED,
    BI_TARGETHEALTH,
    BI_THREAT,
    BI_TIMETODIE,
    BI_TOTEMFIRE,
    BI_WEAPONENHANCE,
};
    
enum res {
    RES_NONE,
    RES_ENERGY,
    RES_MANA,
    RES_RAGE,
};

#define YYSTYPE	 union my_yystype

union my_yystype {
    double fl;
    char *str;
    int intg;
    enum built_in bi;
    enum res res;
};

extern int lineno;

char *astrdup(char *); 
void *amalloc(int);
void lex_init(void);
void lex_register_variable(char *, int);
void lex_register_mutex(char *, int);
